Name:           maven-gpg-plugin
Version:        1.6
Release:        %mkrel 6
Group:          Development/Java
Summary:        Maven GPG Plugin
License:        ASL 2.0
URL:            http://maven.apache.org/plugins/maven-gpg-plugin/
BuildArch:      noarch

Source0:        http://repo2.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip

Patch0:         0001-Port-to-Maven-3.3.1.patch

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.maven:maven-artifact)
BuildRequires:  mvn(org.apache.maven:maven-compat)
BuildRequires:  mvn(org.apache.maven:maven-model)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven:maven-repository-metadata)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugins:pom:)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(org.sonatype.plexus:plexus-sec-dispatcher)

# Uses system gpg binary for actual signing
Requires:      gnupg

%description
This plugin signs all of the project's attached artifacts with
GnuPG. It adds goals gpg:sign and gpg:sign-and-deploy-file.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q

# migrate to maven 3.x 
%patch0 -p1

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE




%changelog
* Mon May 15 2017 neoclust <neoclust> 1.6-6.mga6
+ Revision: 1101436
- Rebuild maven-* packages

* Wed May 10 2017 neoclust <neoclust> 1.6-5.mga6
+ Revision: 1100084
- Regenerate build-requires
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.6-3.mga6
+ Revision: 977308
- First rebuild of the java stack
- sync package maven-gpg-plugin with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4-13.mga5
+ Revision: 743564
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.4-11.mga4
+ Revision: 537478
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 dmorgan <dmorgan> 1.4-10.mga4
+ Revision: 487086
- Build with xmvn

* Sat Aug 03 2013 joequant <joequant> 1.4-4.mga4
+ Revision: 462958
- remove ant-nodeps and ant-trax

* Sat Jan 12 2013 umeabot <umeabot> 1.4-3.mga3
+ Revision: 359638
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 09 2012 dmorgan <dmorgan> 1.4-2.mga3
+ Revision: 329153
- Java Stack Mass Rebuild
- New version 1.4
- New upstream version 1.3

* Thu Apr 28 2011 dmorgan <dmorgan> 1.2-2.mga1
+ Revision: 92701
- Rebuild after bootstrapping
- imported package maven-gpg-plugin


* Fri Mar 25 2011 Alexander Kurtakov <akurtako@redhat.com> 1.2-1
- Update to new upstream release.
- Adapt to current guidelines.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jun  2 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.1-2
- Fix depmap call
- Add gnupg2 to Requires

* Tue Jun  1 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.1-1
- Initial package
